---
title: font-optical-sizing
slug: Web/CSS/font-optical-sizing
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - NeedsExample
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>font-optical-sizing</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets whether text rendering is optimized for viewing at different sizes.</span></p>

<div>{{EmbedInteractiveExample("pages/css/font-optical-sizing.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* keyword values */
font-optical-sizing: none;
font-optical-sizing: auto; /* default */

/* Global values */
font-optical-sizing: inherit;
font-optical-sizing: initial;
font-optical-sizing: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt>none</dt>
 <dd>The browser will not modify the shape of glyphs for optimal viewing.</dd>
 <dt>auto</dt>
 <dd>The browser will modify the shape of glyphs for optimal viewing.</dd>
</dl>

<h2 id="Description">Description</h2>

<p>Optical sizing is enabled by default for fonts that have an optical size variation axis. The optical size variation axis is represented by <code>opsz</code> in {{cssxref("font-variation-settings")}}.</p>

<p>When optical sizing is used, small text sizes are often rendered with thicker strokes and larger serifs, whereas larger text is often rendered more delicately with more contrast between thicker and thinner strokes.</p>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Disabling_optical_sizing">Disabling optical sizing</h3>

<pre class="brush: html notranslate">&lt;p class="optical-sizing"&gt;This paragraph is optically sized.
 This is the default across browsers.&lt;/p&gt;

&lt;p class="no-optical-sizing"&gt;This paragraph is not optically sized.
 You should see a difference in supporting browsers.&lt;/p&gt;</pre>

<pre class="brush: css notranslate">@font-face {
    src: url('AmstelvarAlpha-VF.ttf');
    font-family:'Amstelvar';
    font-style: normal;
}

p {
  font-size: 36px;
  font-family: Amstelvar;
}

.no-optical-sizing {
  font-optical-sizing: none;
}</pre>

<div class="note">
<p><strong>Note</strong>: The font referenced above — which includes optical sizing and is freely-licensed — is good for testing. You can <a href="https://github.com/TypeNetwork/Amstelvar/releases">download it on GitHub</a>.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Fonts', '#font-optical-sizing-def', 'font-optical-sizing')}}</td>
   <td>{{Spec2('CSS4 Fonts')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a class="external" href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</div>

<p>{{Compat("css.properties.font-optical-sizing")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-size")}}</li>
 <li>{{cssxref("font-size-adjust")}}</li>
 <li><a href="/en-US/docs/Learn/CSS/Styling_text/Fundamentals">Fundamental text and font styling</a></li>
</ul>
